const { sendResponse, arrayToTree } = require('../../../utils/index')
const { getTypes } = require('../service')
async function getTypeTree(req, res) {
  const types = await getTypes()
  const treeTypes = arrayToTree(types)

  sendResponse({
    res,
    status: 200,
    message: '',
    data: treeTypes,
  })
}

module.exports = {
  getTypeTree,
}
